package com.pcloud.book.personal.dao;

import com.pcloud.book.personal.dto.PersonalStarReceiveDto;
import com.pcloud.book.personal.entity.PersonalStarRecord;
import com.pcloud.common.core.dao.BaseDao;

import java.util.List;

public interface PersonalStarRecordDao extends BaseDao<PersonalStarRecord> {
    Integer hasReceive(Long wechatUserId, String receiveDate, Integer type);

    Integer getReceiveStarCount(Long wechatUserId);

    Integer insert4Type(PersonalStarRecord personalStarRecord);

    Integer hasReceiveFirstLogin(Long wechatUserId, Integer type);

    List<PersonalStarReceiveDto> getReceiveStarCountList();

    Integer getLoginDays(Long wechatUserId);

    Integer getTaskCount(Long wechatUserId);
}
